Skip to main content
POST
/
v1
/
table
/
batch-commit
Error
A valid request URL is required to generate request examples
{
  "results": [
    {
      "declare_table": {
        "transaction_id": "<string>",
        "location": "<string>",
        "storage_options": {},
        "properties": {
          "owner": "Ralph",
          "created_at": "1452120468"
        },
        "managed_versioning": true
      },
      "create_table_version": {
        "transaction_id": "<string>",
        "version": {
          "version": 1,
          "manifest_path": "<string>",
          "manifest_size": 1,
          "e_tag": "<string>",
          "timestamp_millis": 123,
          "metadata": {}
        }
      },
      "delete_table_versions": {
        "deleted_count": 1,
        "transaction_id": "<string>"
      },
      "deregister_table": {
        "transaction_id": "<string>",
        "id": [
          "<string>"
        ],
        "location": "<string>",
        "properties": {
          "owner": "Ralph",
          "created_at": "1452120468"
        }
      }
    }
  ],
  "transaction_id": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

delimiter
string

An optional delimiter of the string identifier, following the Lance Namespace spec. When not specified, the $ delimiter must be used.

Body

application/json

Request to atomically commit a batch of table operations. This replaces BatchCreateTableVersionsRequest with a more general interface that supports mixed operations (DeclareTable, CreateTableVersion, DeleteTableVersions, DeregisterTable) within a single atomic transaction at the metadata layer.

All operations are committed atomically: either all succeed or none are applied.

operations
object[]
required

List of operations to commit atomically. Supported operation types: DeclareTable, CreateTableVersion, DeleteTableVersions, DeregisterTable.

identity
object

Identity information of a request.

context
object

Arbitrary context for a request as key-value pairs. How to use the context is custom to the specific implementation.

REST NAMESPACE ONLY Context entries are passed via HTTP headers using the naming convention x-lance-ctx-<key>: <value>. For example, a context entry {"trace_id": "abc123"} would be sent as the header x-lance-ctx-trace_id: abc123.

Response

Result of atomically committing a batch of mixed table operations

Response for a batch commit of table operations. Contains the results of each operation in the same order as the request.

results
object[]
required

Results for each operation, in the same order as the request operations. Each result contains the outcome of the corresponding operation.

transaction_id
string

Optional transaction identifier for the batch commit